Lookup Editor - Bug #2098

App does not work correctly on SHC (controller isn't loading)
10/19/2017 10:18 PM - Luke Murphey

Status: Closed Start date: 10/19/2017
Priority: Normal Due date:

Assignee: Luke Murphey % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 3.0

Description

See https://answers.splunk.com/answers/571380/lookup-file-editor-in-search-head-cluster-the-requ.html

History

#1 - 10/19/2017 10:23 PM - Luke Murphey

Observations:

1. Affects 2.7.0 and 2.7.1

2. Doesn't seem to affect standalone

3. Didn't repro for me

4. It appears that controller isn't registered (seeing "Masking the original 404 message: 'The path
'fen-US/custom/lookup_editor/lookup_edit/get_lookup_backups_list' was not found." with 'Page not found!"')

5. The files appear to exist on the search heads

6. Appeared on a 6.5.1 instance

Questions:

1. Does this appear on a fresh 6.5.1 when | repro it?
2. When was the controller last modified?

3. Did second customer have any errors?

4. Can the controller be parsed and loaded manually?

#2 - 10/19/2017 10:33 PM - Luke Murphey

Here is the controller's history:

https://github.com/LukeMurphey/lookup-editor/commits/19870b2c81a2df8f419d96bb3f0416f6b0da681a/src/appserver/controllers/lookup_edit.py
Last changed in May.

Here is the history for the web.conf file:
https://github.com/LukeMurphey/lookup-editor/commits/master/src/default/web.conf
Even fewer changes.

#3 - 10/19/2017 11:20 PM - Luke Murphey

The controller file can be checked to see if it parses with:
cd etc/apps/lookup_editor/appserver/controllers/
./../../../../bin/splunk cmd python lookup_edit.py

The following indicates if the controller is registered (look for "/custom/lookup_editor/lookup_edit"):

http://10.0.1.14:8000/en-US/paths

The following provides the web.conf entries:

| rest /servicesNS/nobody/lookup_editor/admin/conf-web count=0 | table id title eai:appName | search title="*1
ookup_edit"

This indicates that the controller was registered:

Registering custom app endpoint: lookup_editor/lookup_edit

#4 - 10/19/2017 11:52 PM - Luke Murphey

It could be that another app is using the same stanza name in web.conf.

#5 - 10/20/2017 04:28 AM - Luke Murphey

- Description updated

#6 - 10/20/2017 07:15 PM - Luke Murphey
Customer 2:
Observations:

e This is on Windows

¢ Controller is not registered according to the logs

e There are no errors in the logs

Questions:
e |s lookup file loading?
o Yes

¢ Is the controller responding with a 404 or is the lookup controller itself not found?
o Controller is not registered

This is what I'm seeing:

1. Controller is on disk

2. Splunk sees the corresponding web.conf

3. There are no errors indicating that Splunk failed to run the controller

4. There are no messages indicating Splunk even tried to run the controller

#7 - 10/20/2017 07:15 PM - Luke Murphey

Customer bounced the cluster and it fixed the issue

#8 - 10/20/2017 07:17 PM - Luke Murphey
- Subject changed from Not working on SHC to App does not work correctly on SHC (controller isn't loading)

#9 - 10/20/2017 07:18 PM - Luke Murphey

I might want to add something that tests to make sure that the controllers/endpoints are up. That way, the user can be told something isn't right.
#10 - 10/21/2017 07:21 AM - Luke Murphey

- Status changed from New to Closed

- % Done changed from 0 to 100
